В последней версии библиотеки OpenSSL обнаружена опасная уязвимость

Вт 28 Июнь 2022 15:36

Уязвимость обнаружена в последней версии OpenSSL 3.0.4 , вышедшей 21 июня 2022 года и затрагивает системы x86_64 с поддержкой инструкций AVX-512 .

Согласно информации из блога ИБ-специалиста Гвидо Вранкена , уязвимость может быть использована удаленным злоумышленником для повреждения содержимого памяти процесса. Успешная эксплуатация уязвимости может позволить хакеру прочесть и перезаписать до 8129 байт данных за пределами выделенного буфера. Пока неизвестно, возможно ли использовать уязвимость для выполнения произвольного кода атакующего.

BoringSSL, LibreSSL и ветка OpenSSL 1.1.1 не подвержены уязвимости. Исправление пока доступно только в виде патча и станет доступно всем пользователям в следующем обновлении.

Статья уведена с www.securitylab.ru.

NetLan.ru жив уже 16 лет 259 дней 23 часа 55 минут 58 секунд
СМК NetLan (Nettlesome Landloper) — некоммерческий интернет-ресурс.
Весь данный интернет-ресурс и всё созданное или размещённое на нём используется в личных целях.